//layer popup
function commonLayerOpen(thisId){
	$('#'+thisId).show();
}
function commonLayerClose(thisId){
	$('#'+thisId).hide();
}



// 날짜포맷
Date.prototype.format = function(f) {
    if (!this.valueOf()) return " ";

    var weekName = ["일요일", "월요일", "화요일", "수요일", "목요일", "금요일", "토요일"];
    var d = this;

    return f.replace(/(yyyy|yy|MM|dd|E|hh|mm|ss|a\/p)/gi, function($1) {
        switch ($1) {
            case "yyyy": return d.getFullYear();
            case "yy": return (d.getFullYear() % 1000).zf(2);
            case "MM": return (d.getMonth() + 1).zf(2);
            case "dd": return d.getDate().zf(2);
            case "E": return weekName[d.getDay()];
            case "HH": return d.getHours().zf(2);
            case "hh": return ((h = d.getHours() % 12) ? h : 12).zf(2);
            case "mm": return d.getMinutes().zf(2);
            case "ss": return d.getSeconds().zf(2);
            case "a/p": return d.getHours() < 12 ? "오전" : "오후";
            default: return $1;
        }
    });
};

String.prototype.string = function(len){var s = '', i = 0; while (i++ < len) { s += this; } return s;};
String.prototype.zf = function(len){return "0".string(len - this.length) + this;};
Number.prototype.zf = function(len){return this.toString().zf(len);};

// 주소검색
//본 예제에서는 도로명 주소 표기 방식에 대한 법령에 따라, 내려오는 데이터를 조합하여 올바른 주소를 구성하는 방법을 설명합니다.
function execDaumPostcode() {
    new daum.Postcode({
        oncomplete: function(data) {
            // 팝업에서 검색결과 항목을 클릭했을때 실행할 코드를 작성하는 부분.

            // 도로명 주소의 노출 규칙에 따라 주소를 조합한다.
            // 내려오는 변수가 값이 없는 경우엔 공백('')값을 가지므로, 이를 참고하여 분기 한다.
            var fullRoadAddr = data.roadAddress; // 도로명 주소 변수
            var extraRoadAddr = ''; // 도로명 조합형 주소 변수

            // 법정동명이 있을 경우 추가한다. (법정리는 제외)
            // 법정동의 경우 마지막 문자가 "동/로/가"로 끝난다.
            if(data.bname !== '' && /[동|로|가]$/g.test(data.bname)){
                extraRoadAddr += data.bname;
            }
            // 건물명이 있고, 공동주택일 경우 추가한다.
            if(data.buildingName !== '' && data.apartment === 'Y'){
               extraRoadAddr += (extraRoadAddr !== '' ? ', ' + data.buildingName : data.buildingName);
            }
            // 도로명, 지번 조합형 주소가 있을 경우, 괄호까지 추가한 최종 문자열을 만든다.
            if(extraRoadAddr !== ''){
                extraRoadAddr = ' (' + extraRoadAddr + ')';
            }
            // 도로명, 지번 주소의 유무에 따라 해당 조합형 주소를 추가한다.
            if(fullRoadAddr !== ''){
                fullRoadAddr += extraRoadAddr;
            }

            // 우편번호와 주소 정보를 해당 필드에 넣는다.
            $("#postcode").val(data.zonecode); //5자리 새우편번호 사용
            $("#address").val(fullRoadAddr);
            //document.getElementById('main_jibunAddress').value = data.jibunAddress;

            window.close();
        }
    }).open();
}

// 숫자체크
function checkNumber(val){
    var regexp = /^[0-9]*$/
    if( !regexp.test(val) ) {
        return false;
    }
    return true;
}

// 이메일체크
function checkEmail(val){
    var regexp=/^[-A-Za-z0-9_]+[-A-Za-z0-9_.]*[@]{1}[-A-Za-z0-9_]+[-A-Za-z0-9_.]*[.]{1}[A-Za-z]{1,5}$/;
    if( !regexp.test(val) ) {
        return false;
    }
    return true;
}

// 전화번호체크
function checkPhone(val){
    var regexp= /^\d{2,3}-\d{3,4}-\d{4}$/;
    if( !regexp.test(val) ) {
        return false;
    }
    return true;
}




function setComma(_no) {
	return _no.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
}


function sortJSON(data, key, way) {
    return data.sort(function(a, b) {
        var x = a[key]; var y = b[key];
        if (way === '123' ) { return ((x < y) ? -1 : ((x > y) ? 1 : 0)); }
        if (way === '321') { return ((x > y) ? -1 : ((x < y) ? 1 : 0)); }
    });
}



$(document).ready(function(){
	$(".no_ready").click(function(){
		alert("준비중인 페이지입니다 빠른시일내에 오픈할 예정입니다.");
		return false;
	});

//    그리드용 스크립트
	$(".grid_children").addClass("moving_all");
    $("#tablet_gnb ul").addClass("moving_all");
    $("#container_wrap").addClass("moving_all")
    $("#tablet_gnb li a").addClass("moving_all2");
    $(".top_wrap").addClass("moving_all");
    $(".grid").addClass("clearfix");

    //left menu script
    $("#tablet_gnb>li").click(function(){
        if($(this).children("a").hasClass("onar")){
            $("#tablet_gnb>li>a").removeClass("onar");
            $("#tablet_gnb>li").find(".depth2").slideUp(100);
        }else{
           $("#tablet_gnb>li>a").removeClass("onar");
            $(this).children("a").addClass("onar");
            $("#tablet_gnb>li").find(".depth2").slideUp(100);
            $(this).find(".depth2").slideDown(300);
        }
    });
    
    //left 메뉴 감추기
    $(".bars .b1").click(function(){
        $("#tablet_wrap").addClass("notive");
        $("#container_wrap").addClass("notive");
        $(this).hide(100);
        $(this).siblings(".a1").show(100);
        if($(".bars .a1").hasClass("min")){
                $("#tablet_wrap").removeClass("mintive");
        }

    })
    $(".bars .a1").click(function(){
        $("#tablet_wrap").removeClass("notive");
        $("#container_wrap").removeClass("notive");
          $(this).hide(100);
          $(this).siblings(".b1").show(100);

        if($(".bars .a1").hasClass("min")){
                $("#tablet_wrap").addClass("mintive");
        }

    });

    //공통 tep
    $(".depth3_tep li a").click(function(){
        $(".depth3_tep li a").removeClass("on");
        $(this).addClass("on");
    });


    //type1
    $(".common_tep.type01 ul li a").click(function(){
        $(".common_tep.type01 ul li a").removeClass("on");
        $(this).addClass("on");
    })
    //type2
    $(".common_tep.type2 ul li a").click(function(){
        $(".common_tep.type2 ul li a").removeClass("on");
        $(this).addClass("on");
    });

    //    table 내용보기
    $(".common_table table td.title").click(function(){
        if(!$(this).hasClass("on")){
            $(this).parent("tr").next(".docu").slideDown(300);
            $(this).addClass("on");
        }else if($(this).hasClass("on")){
            $(this).parent("tr").next(".docu").slideUp(100);
             $(this).removeClass("on");
        }

    });

	var triggerBookmark = $('.add_bookmark');
	triggerBookmark.click(function() {
		if (window.sidebar && window.sidebar.addPanel) { // Firefox <23
			window.sidebar.addPanel(document.title,window.location.href,'');
		} else if(window.external && ('AddFavorite' in window.external)) { // Internet Explorer
			window.external.AddFavorite(location.href,document.title);
		} else if(window.opera && window.print || window.sidebar && ! (window.sidebar instanceof Node)) { // Opera <15 and Firefox >23
			triggerBookmark.attr('rel', 'sidebar').attr('title', document.title);
			return true;
		} else { // other browsers (WebKit)
			alert((navigator.userAgent.toLowerCase().indexOf('mac') != - 1 ? 'Command/Cmd' : 'Ctrl') + '+D 키를 누르시면 즐겨찾기에 추가하실 수 있습니다.');
		}
		return false;
	});


     if ($('#iquersier').is(':hidden')){
     $(".bars .a1").show(100);
        $(".bars .a1").addClass("min");
     }

    var wh=$(this).height();
    var th=$("#tablet_gnb").height();

    $("#tablet_gnb").height(wh-80);
})


